Bug 1045722 - [abrt] sddm: SDDM::DisplayManager::RemoveSession(): sddm killed by SIGSEGV
Summary: [abrt] sddm: SDDM::DisplayManager::RemoveSession(): sddm killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:788535fa1589fa2251b6834f3b1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 13:21 UTC by Martin
Modified: 2014-10-07 09:28 UTC (History)
7 users (show)

Fixed In Version: sddm-0.2.0-0.31.20140627gitf49c2c79.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-30 10:30:08 UTC


Attachments (Terms of Use)
File: backtrace (26.49 KB, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: core_backtrace (9.96 KB, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: dso_list (6.85 KB, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: environ (72 bytes, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: maps (33.43 KB, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: open_fds (621 bytes, text/plain)
2013-12-21 13:21 UTC, Martin
no flags Details
File: proc_pid_status (891 bytes, text/plain)
2013-12-21 13:22 UTC, Martin
no flags Details
File: var_log_messages (3.46 KB, text/plain)
2013-12-21 13:22 UTC, Martin
no flags Details

Description Martin 2013-12-21 13:21:33 UTC
Version-Release number of selected component:
sddm-0.2.0-0.16.20130914git50ca5b20.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/sddm
crash_function: SDDM::DisplayManager::RemoveSession
executable:     /usr/bin/sddm
kernel:         3.11.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SDDM::DisplayManager::RemoveSession at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/DisplayManager.cpp:116
 #1 SDDM::Authenticator::finished at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/Authenticator.cpp:405
 #2 QMetaObject::activate at kernel/qobject.cpp:3547
 #3 QProcess::finished at .moc/release-shared/moc_qprocess.cpp:155
 #4 QProcessPrivate::_q_processDied at io/qprocess.cpp:1068
 #5 QProcessPrivate::waitForFinished at io/qprocess_unix.cpp:1217
 #6 QProcess::waitForFinished at io/qprocess.cpp:1759
 #7 SDDM::Authenticator::stop at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/Authenticator.cpp:389
 #8 SDDM::Display::stop at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/Display.cpp:239
 #9 SDDM::Display::~Display at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/Display.cpp:130

Comment 1 Martin 2013-12-21 13:21:39 UTC
Created attachment 840016 [details]
File: backtrace

Comment 2 Martin 2013-12-21 13:21:43 UTC
Created attachment 840017 [details]
File: cgroup

Comment 3 Martin 2013-12-21 13:21:45 UTC
Created attachment 840018 [details]
File: core_backtrace

Comment 4 Martin 2013-12-21 13:21:48 UTC
Created attachment 840019 [details]
File: dso_list

Comment 5 Martin 2013-12-21 13:21:50 UTC
Created attachment 840020 [details]
File: environ

Comment 6 Martin 2013-12-21 13:21:52 UTC
Created attachment 840021 [details]
File: exploitable

Comment 7 Martin 2013-12-21 13:21:54 UTC
Created attachment 840022 [details]
File: limits

Comment 8 Martin 2013-12-21 13:21:56 UTC
Created attachment 840023 [details]
File: maps

Comment 9 Martin 2013-12-21 13:21:59 UTC
Created attachment 840024 [details]
File: open_fds

Comment 10 Martin 2013-12-21 13:22:01 UTC
Created attachment 840025 [details]
File: proc_pid_status

Comment 11 Martin 2013-12-21 13:22:03 UTC
Created attachment 840026 [details]
File: var_log_messages

Comment 12 Fedora Update System 2014-06-25 11:08:49 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc20

Comment 13 Fedora Update System 2014-06-25 11:12:57 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19

Comment 14 Fedora Update System 2014-06-26 01:56:50 UTC
Package sddm-0.2.0-0.29.20140623gitdb1d7381.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.29.20140623gitdb1d7381.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7749/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-06-30 10:30:08 UTC
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-10-07 09:28:45 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19


Note You need to log in before you can comment on or make changes to this bug.